Jump to content
z1812

Installation of old Steel Beasts

Recommended Posts

Hi,

 

I bought the Steel Beasts Professional PE software quite a while ago. The manual says it requires Windows XP or 2000. The date on the CD is 2007. There is another number on the CD as well 01-0128-20500. I cannot see anywhere in the manual or on the CD what version it is.

 

I have the my original CD and my original Codemeter. When I start installation there is no choice of installation path. The default is C: and my C: drive is only for my operating system.

 

I never had the time to give the Game the attention needed to learn how it works properly. So I uninstalled it. Now I am retired and I have time. 

 

Here are my questions that I am hoping to be helped with.

 

1. Is there a way to choose the installation path for my current game version?

2. I enjoy using Infantry. As I recall in my early version the infantry model was not very comprehensive. If I upgrade I presume the latest version 4 has the best Infantry model. Is that right?

3. Can I use my current codemeter?

4. Perhaps someone can suggest the best way for me to go about upgrading, and if I should upgrade to version 3 or 4?

 

Thanks for taking the time to read my post.

 

John

 

 

Share this post


Link to post
Share on other sites

Hi

 

1. Yes - I installed it on my game drive. There will still be some files in the window files so on C, but I dont think that can be changed.

2. Yes: I suggest try watching some of the AAR´s on this page to see if they meet with your satisfaction.

3. @Ssnake can answer that question maybe?

4.  @Ssnake can answer that question maybe?

Share this post


Link to post
Share on other sites
43 minutes ago, Nike-Ajax said:

Hi

 

1. Yes - I installed it on my game drive. There will still be some files in the window files so on C, but I dont think that can be changed.

2. Yes: I suggest try watching some of the AAR´s on this page to see if they meet with your satisfaction.

3. @Ssnake can answer that question maybe?

4.  @Ssnake can answer that question maybe?

Thank you for your reply. I have watched some video of scenarios on youtube and they looked good and had the right feel. I will look at some of the AAR's.

Share this post


Link to post
Share on other sites
4 hours ago, z1812 said:

4. Perhaps someone can suggest the best way for me to go about upgrading, and if I should upgrade to version 3 or 4?

 

 

If you intend to play "solo" (i.e. not join multi-player) there is no requirement to upgrade. 

 

You will be limited to the vehicles, etc. in Ver 3.x but it will still run.

 

If you want to interact with others then you need to remain "current" (at the moment that is 4.023).

 

Sometime in the not too distant future there is a planned, paid, upgrade so it maybe worth your while to:

 

a. Get 3.x working.

 

b. Leapfrog past 4.023 to 4.XXX in due course.

 

If you want to see what 4.023 offers (compared to 3.x) then yes the various YouTube AARs are useful or you can come along to my "Summer Camp" activity:

 

 

Edited by Gibsonm

Share this post


Link to post
Share on other sites
7 hours ago, z1812 said:

I bought the Steel Beasts Professional PE software quite a while ago. The manual says it requires Windows XP or 2000. The date on the CD is 2007. There is another number on the CD as well 01-0128-20500. I cannot see anywhere in the manual or on the CD what version it is.

Chances are, it's still the original version 2.251 or so.

The license on your CM stick is valid up until version 2.4.

If you're planning to perform an upgrade (more on that below), please contact me. There will be the need for some preventive maintenance to make the upgrade process a smooth experience; as you noted, what you have is 11 years old. Operating systems have come, and went, drivers (well, the Runtime software) changed numberous times, there are firmware updates to apply. My email address is my forum name @eSimGames (.com).

 

Quote

1. Is there a way to choose the installation path for my current game version?

2. I enjoy using Infantry. As I recall in my early version the infantry model was not very comprehensive. If I upgrade I presume the latest version 4 has the best Infantry model. Is that right?

3. Can I use my current codemeter?

4. Perhaps someone can suggest the best way for me to go about upgrading, and if I should upgrade to version 3 or 4?

  1. I don't remember; the oldest SB Pro user manual that I could find in my library is from 2009, and I can't rule out that some changes were made between 2006 (the date of creation of your DVD) and version 2.483 (for which the 2009 manual was written). "Probably not". Today's installer lets you choose the program file directory, but even then map and scenario data would still go on C:\ (some of that will change with the next version 4.1 or higher)
  2. If by writing "best" you mean to say that the infantry modeling was refined over time, your assumption is valid. Without knowing your metrics however, I cannot guarantee that the latest is also the greatest for you (but it is for us, and probably for most users too)
  3. Your old CodeMeter stick can still be used. However, it must undergo some maintenance cycle, and for the latest version a license upgrade must be applied. I'll be happy to render assistance.
  4. For you, only the "old upgrade" option will work ($80.- in our web shop, here). Alternatively you could consider buying a one-year license at $39.50. The one-year license is valid for both version 3.0 and 4.0, and will also be valid for the coming upgrade. So for the price of an "old upgrade" you would get the equivalent of two one-year licenses. While they expire, they may still be an attractive option for some. If you don't plan to play for more than the next two years, this is the more cost-effective solution. The downside is that the license is tied to your computer and current Windows installation; the CM stick gives you more flexibility. But if you don't need that flexibility, there's a savings option.

Share this post


Link to post
Share on other sites
16 hours ago, Rotareneg said:

You can check what version of SB Pro PE you have a license for on your stick by following the directions on this post:

 

 

Thank you. That really worked well. It says I have version 3.00. I took a screenshot that I will attach to the email I send to Snake. 

Share this post


Link to post
Share on other sites

Hi All,

 

Thank you to everyone for your help and interest. I downloaded Version 3. It took me a few tries but I now have Version 3 running. It was a bit of work but I like solving software "mysteries".........sometimes.

 

John

Share this post


Link to post
Share on other sites
On 12/10/2018 at 12:10 AM, Ssnake said:

I don't remember; the oldest SB Pro user manual that I could find in my library is from 2009, and I can't rule out that some changes were made between 2006 (the date of creation of your DVD) and version 2.483 (for which the 2009 manual was written). "Probably not". Today's installer lets you choose the program file directory, but even then map and scenario data would still go on C:\ (some of that will change with the next version 4.1 or higher)

 

FYI: My 2001 manual says nothing about installation paths.

 

Edit: DUH! That manual is for SB1. :$ Yeah ... my oldest SB PRO PE manual is also from 2009.

Edited by Lt DeFault
Derp.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...